javascript: (function(context) {
	var NativeBridge = {
		invokeQueue: [],
		onQueue: [],
		callback: function() {
			var args = Array.prototype.slice.call(arguments, 0);
			var name = args.shift();
			var type = args.shift();
			var paramObj = {};
			if (args.length > 0) {
				paramObj = JSON.parse(args.shift());
			}
			if (type == "on") {
				this.onQueue[name].call(window, paramObj);
			} else {
				this.invokeQueue[name].call(window, paramObj);
			}
		},
		invoke: function() {
			var args = Array.prototype.slice.call(arguments, 0);
			if (args.length < 1) {
				throw "invoke call error, message:miss method name";
			}
			
			var name = args.shift();
			var params = JSON.stringify(args.shift());
			for (var i = 0; i < args.length; i++) {
				var e = args[i];
				var eType = typeof e;
				if (eType == "function") {
					NativeBridge.invokeQueue[name] = e;
				}
			}
			
			window.jtjrJSBridge.invoke(name, params);
		},
		on: function() {
			var args = Array.prototype.slice.call(arguments, 0);
			if (args.length < 1) {
				throw "on call error, message:miss method name";
			}
			
			var name = args.shift();
			for (var i = 0; i < args.length; i++) {
				var e = args[i];
				var eType = typeof e;
				if (eType == "function") {
					NativeBridge.onQueue[name] = e;
				}
			}
			window.jtjrJSBridge.on(name, {});
		}
	};
	
	context.NativeBridge = NativeBridge;
	
	var readyEvent = document.createEvent('Events');
	readyEvent.initEvent('NativeBridgeReady');
	document.dispatchEvent(readyEvent);
	
	return NativeBridge;
})(window);